use serde::{Serialize, Serializer};
/*
use std::collections::HashMap;
use std::hash::BuildHasher;
use zvariant::OwnedValue;   */

pub fn serialize_actions<S>(actions: &[String], serializer: S) -> Result<S::Ok, S::Error>
where
    S: Serializer,
{
    let mut map = serde_json::Map::new();

    // Assuming actions are in pairs: [id, label, id, label, ...]
    for chunk in actions.chunks(2) {
        if let [id, label] = chunk {
            map.insert(id.clone(), serde_json::Value::String(label.clone()));
        }
    }

    map.serialize(serializer)
}

/*
pub fn serialize_hints<S, H>(
    hints: &HashMap<String, OwnedValue, H>,
    serializer: S,
) -> Result<S::Ok, S::Error>
where
    S: Serializer,
    H: BuildHasher,
{
    let mut map = serde_json::Map::new();

    for (key, value) in hints {
        // Customize OwnedValue serialization as needed
        map.insert(key.clone(), serde_json::Value::String(value.to_string()));
    }

    map.serialize(serializer)
}
*/
